Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.gen
Class NoopFactory

    java.lang.Object
      |
      +--org.apache.axis.wsdl.gen.NoopFactory

All Implemented Interfaces:
  GeneratorFactory

public class NoopFactory
extends java.lang.Object
implements GeneratorFactory

This factory returns a bunch of NoopGenerators

Constructor Summary
`NoopFactory()`

Method Summary
`void` | `generatorPass(javax.wsdl.Definition def, SymbolTable symbolTable)` Allow the Generator extension to make a pass through the symbol table doing any pre-generation logic, like creating the Java names for each object and constructing signature strings.
`BaseTypeMapping` | `getBaseTypeMapping()`
`Generator` | `getGenerator(javax.wsdl.Binding binding, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Binding.
`Generator` | `getGenerator(javax.wsdl.Definition definition, SymbolTable symbolTable)` Get a Generator implementation that will generate anything that doesn't fit into the scope of any of the other Generators.
`Generator` | `getGenerator(javax.wsdl.Message message, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Message.
`Generator` | `getGenerator(javax.wsdl.PortType portType, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given PortType.
`Generator` | `getGenerator(javax.wsdl.Service service, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Service.
`Generator` | `getGenerator(TypeEntry type, SymbolTable symbolTable)` Get a Generator implementation that will generate bindings for the given Type.
`void` | `setBaseTypeMapping(BaseTypeMapping btm)` Get TypeMapping to use for translating QNames to base types

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoopFactory

    public NoopFactory()

Method Detail

### generatorPass

    public void generatorPass(javax.wsdl.Definition def,
                              SymbolTable symbolTable)

  Description copied from interface: `GeneratorFactory`
  Allow the Generator extension to make a pass through the symbol table doing any pre-generation logic, like creating the Java names for each object and constructing signature strings.
  Specified by:
    `generatorPass` in interface `GeneratorFactory`

### getGenerator

    public Generator getGenerator(javax.wsdl.Message message,
                                  SymbolTable symbolTable)

  Description copied from interface: `GeneratorFactory`
  Get a Generator implementation that will generate bindings for the given Message.
  Specified by:
    `getGenerator` in interface `GeneratorFactory`

### getGenerator

    public Generator getGenerator(javax.wsdl.PortType portType,
                                  SymbolTable symbolTable)

  Description copied from interface: `GeneratorFactory`
  Get a Generator implementation that will generate bindings for the given PortType.
  Specified by:
    `getGenerator` in interface `GeneratorFactory`

### getGenerator

    public Generator getGenerator(javax.wsdl.Binding binding,
                                  SymbolTable symbolTable)

  Description copied from interface: `GeneratorFactory`
  Get a Generator implementation that will generate bindings for the given Binding.
  Specified by:
    `getGenerator` in interface `GeneratorFactory`

### getGenerator

    public Generator getGenerator(javax.wsdl.Service service,
                                  SymbolTable symbolTable)

  Description copied from interface: `GeneratorFactory`
  Get a Generator implementation that will generate bindings for the given Service.
  Specified by:
    `getGenerator` in interface `GeneratorFactory`

### getGenerator

    public Generator getGenerator(TypeEntry type,
                                  SymbolTable symbolTable)

  Description copied from interface: `GeneratorFactory`
  Get a Generator implementation that will generate bindings for the given Type.
  Specified by:
    `getGenerator` in interface `GeneratorFactory`

### getGenerator

    public Generator getGenerator(javax.wsdl.Definition definition,
                                  SymbolTable symbolTable)

  Description copied from interface: `GeneratorFactory`
  Get a Generator implementation that will generate anything that doesn't fit into the scope of any of the other Generators.
  Specified by:
    `getGenerator` in interface `GeneratorFactory`

### setBaseTypeMapping

    public void setBaseTypeMapping(BaseTypeMapping btm)

  Description copied from interface: `GeneratorFactory`
  Get TypeMapping to use for translating QNames to base types
  Specified by:
    `setBaseTypeMapping` in interface `GeneratorFactory`

### getBaseTypeMapping

    public BaseTypeMapping getBaseTypeMapping()

  Specified by:
    `getBaseTypeMapping` in interface `GeneratorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.